Page MenuHomePhabricator

What license is Wikimedia Commons text licensed under?
Closed, ResolvedPublic

Description

Under the edit field (e.g https://commons.wikimedia.org/w/index.php?title=User:Josve05a&action=edit) it says " Creative Commons Attribution-ShareAlike 3.0 license and the GFDL. " but the link at the legal footer at the bottom of all pages links to cc-by-sa 4.0. I know that content licensed under 4.0 can't be relicensed to 3.0, but content under 3.0 can be relicensed to 4.0. If we change the legal footer bar to 3.0, will that have legal effects to content submitted while the legal footer had a link to 4.0? Or are we relicencing everything to 4.0?

Event Timeline

Josve05a created this task.Jun 19 2016, 1:28 AM
Restricted Application added subscribers: Zppix, Poyekhali, JEumerus and 2 others. · View Herald TranscriptJun 19 2016, 1:28 AM

(Suggesting this becomes an "unbreak now" or a high priority, due to the legal matter at hand...)

Josve05a updated the task description. (Show Details)Jun 19 2016, 1:36 AM
Poyekhali updated the task description. (Show Details)Jun 19 2016, 1:38 AM
FDMS added a subscriber: FDMS.Jun 19 2016, 1:39 AM

The footer has been changed a month ago by @Riley_Huntley, I'd suggest reverting that.

Poyekhali triaged this task as Unbreak Now! priority.Jun 19 2016, 1:40 AM
Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptJun 19 2016, 1:40 AM
Josve05a added a comment.EditedJun 19 2016, 1:46 AM

I'd suggest holding off reverting until legal has commented...

Don't know the legal ramifications of impacts if we try and re-license material which may or not be 4.0 now (or which was "created" as 4.0) to 3.0...
Made by editors such as AWB, and edit fields not showing the message which is below the wikieditor-text field...all text made in the last month may be under 4.0...

Not everybody used the wikitext save form or is shown the "3.0/GFDL-text", and only sees their edit when saved, with the legal footer at the bottom. And if they had the lang. set as English, they would believe their material was licensed under 4.0. The legal footer takes precedence. IMO. IANAL.

Poyekhali changed the task status from Open to Stalled.Jun 19 2016, 1:49 AM

Stalling for now until Legal commented...

This was an edit request related to how Commons has switched several mediawiki pages over to 4.0 as the preferred option, including the legal footer bar. It was run by legal previously, would have to dig back to find that.

zhuyifei1999 moved this task from Incoming to Backlog on the Commons board.Jun 19 2016, 4:28 AM
zhuyifei1999 added a subscriber: zhuyifei1999.

Was this edit request public?
Was the proposed amendment discussed publicly?

Majora added a subscriber: Majora.Jun 19 2016, 9:38 PM

Hi Riley, would it be possible to do the digging? I've tried looking on our end and have not been able to find a conversation from Legal approving the change.

My interpretation (speaking from WMF Legal here) is that given the way the change was done (namely that the terms of use and the edit window still say 3.0) all the content is still 3.0 and the footer change has had no effect. We should therefore change the footer back to 3.0 to avoid misleading people. It's possible I'm unaware of something that Riley's message will explain though, so I'll watch this thread for when we get that info and update this if needed.

More generally a couple thoughts. First, it's very easy to change the default license on individual uploads like photographs. That's because the upload tool for media files makes the user select the license, so if you make that default to 4.0, you're done. Second, it's very hard to change the license for the projects generally. The best way to do it is to update the terms of the use, which is why we plan to have a consultation on the topic in a couple months. I know there has been discussion for quite a while and what we're waiting on is the finishing of the CC 4.0 license translations into a few more languages so that more people can participate in the consultation.

ZhouZ moved this task from Backlog to Assigned on the WMF-Legal board.Jun 21 2016, 8:08 AM
Poyekhali changed the task status from Stalled to Open.Jun 21 2016, 12:03 PM
Poyekhali awarded a token.
Steinsplitter added a comment.EditedJun 21 2016, 12:11 PM

My interpretation (speaking from WMF Legal here) is that given the way the change was done (namely that the terms of use and the edit window still say 3.0) all the content is still 3.0 and the footer change has had no effect. We should therefore change the footer back to 3.0 to avoid misleading people. It's possible I'm unaware of something that Riley's message will explain though, so I'll watch this thread for when we get that info and update this if needed.

For now, i changed the license back to 3.0 (As far i can see v3 differs substantially from v4).

Poyekhali lowered the priority of this task from Unbreak Now! to High.Jun 21 2016, 12:21 PM

@Jrogers-WMF

This is a large mistake on my part, I made this edit in relation to a request at https://commons.wikimedia.org/w/index.php?title=Commons_talk:Upload&oldid=196564207

Rereading the discussion, the "We have a go-ahead from the Wikimedia legal team to make 4.0 broadly available" was focused on uploading licenses (although the requester may not have realized that), and that I should have declined the additional request to update the footer.

jayvdb added a subscriber: KDS4444.Jun 21 2016, 2:44 PM
Steinsplitter closed this task as Resolved.Jun 22 2016, 12:57 PM

That was my bad. I had gotten in touch with legal and felt encouraged from the discussion with them to suggest moving the footer forward to 4.0, since that seems to be where things are headed. Perhaps the move to do so was still premature. (How/ When will we know when that is no longer the case?).

Also, there is this from the Creative Commons website: "The latest version of the Creative Commons licenses is version 4.0. You should always use the latest version of the Creative Commons licenses in order to take advantage of the many improvements described on the license versions page. In particular, 4.0 is meant to be better suited to international use, and use in many different contexts, including sharing data." (https://creativecommons.org/faq/#why-should-i-use-the-latest-version-of-the-creative-commons-licenses).

@KDS4444

The best way to do an upgrade is to change the terms of use. Which would require a community consultation, so there would be an announcement and a discussion period, followed (one hopes) by consensus to upgrade the license. At that point, we would change the terms of use to 4.0 and update the footer along with the edit page and anywhere else that the license version might appear when contributing to the projects.

That quote from CC in your second comment is advice on best practices when selecting a license, but can't trump a legal document like a website terms of use. It's just a suggestion for how best to use the licenses.

Lastly, while yes the terms of use do have an exception in them (for Wikinews at the time they were written), using that exception would at the very least require a project wide RfC and consensus for a change. We're of the opinion that it's better to upgrade the terms of use default so that all the projects are consistent and reusers are not confused.

I mentioned in my earlier post that we'd like to start that consultation in a couple months but are waiting on translations. That's still true, and if anyone is willing to volunteer and help with some of the outstanding translations, that's actually the the most helpful thing to speed the transition. See https://wiki.creativecommons.org/wiki/Legal_Tools_Translation